from toargridding.static_metadata import TOAR_VARIABLES_METADATA_PATH
import requests
import json


def updateTOARVariables():
    """Download the most recent list of variables from the TOAR database
    This overwrites the current static file 
    """
    response = requests.get("https://toar-data.fz-juelich.de/api/v2/variables/?limit=None")
    response.raise_for_status()#check, for errors.
    varList = response.json()
    with open(TOAR_VARIABLES_METADATA_PATH, "w") as f:
        json.dump(varList, f, indent=2)